%global __brp_check_rpaths %{nil}
%global packname  metropolis
%global packver   0.1.8
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          0.1.8
Release:          1%{?dist}%{?buildtag}
Summary:          The Metropolis Algorithm

License:          GPL (>= 2)
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 3.5.0
Requires:         R-core >= 3.5.0
BuildArch:        noarch
BuildRequires:    R-CRAN-coda 
BuildRequires:    R-stats 
Requires:         R-CRAN-coda 
Requires:         R-stats 

%description
Learning and using the Metropolis algorithm for Bayesian fitting of a
generalized linear model. The package vignette includes examples of
hand-coding a logistic model using several variants of the Metropolis
algorithm. The package also contains R functions for simulating posterior
distributions of Bayesian generalized linear model parameters using
guided, adaptive, guided-adaptive and random walk Metropolis algorithms.
The random walk Metropolis algorithm was originally described in
Metropolis et al (1953); <doi:10.1063/1.1699114>.

%prep
%setup -q -c -n %{packname}

find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
